// CRCRobot.idl : IDL source for CRCRobot.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (CRCRobot.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(6491F27D-1E7D-4834-ADFF-AB884D959121),
		dual,
		helpstring("IRobot Interface"),
		pointer_default(unique)
	]
	interface IRobot : IDispatch
	{
	};

[
	uuid(06D29D92-2525-4059-BE65-A956E8A6986F),
	version(1.0),
	helpstring("CRCRobot 1.0 Type Library")
]
library CRCROBOTLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(FC24AF6D-B07E-4082-B4DF-280DDACDC204),
		helpstring("Robot Class")
	]
	coclass Robot
	{
		[default] interface IRobot;
	};
};
